{%- from 'components/section.html.jinja' import title_section -%}
{% extends "root.html.jinja" %}

{% macro _subsection(title, katalog_entries) %}
  <h3 class="fs-5 mb-3">{{ title }}</h3>
  {{ _katalog_entries(katalog_entries) }}
{%- endmacro -%}

{% macro _katalog_entries(katalog_entries) %}
  <div class="row mb-5">
    {% for katalog in katalog_entries %}
      {{ _katalog_entry(katalog) }}
    {% endfor %}
  </div>
{%- endmacro -%}

{% macro _katalog_entry(katalog) %}
  <div class="row mb-4">
    <div class="col-lg-6 d-flex flex-column mb-2">
      <h4 class="fs-6 mb-1">{{ katalog.title }}</h4>
      {% if katalog.description %}
        <p class="text-muted mb-0">{{ katalog.description }}</p>
      {% endif %}
    </div>
    <div class="col-lg-6 d-flex flex-wrap gap-2 align-items-center">
      {% for link in katalog.links %}
        <a
          href="{{ link.href }}"
          class="d-inline-flex gap-2 btn btn-light"
          aria-label="{{ katalog.title }} {{ link.label }} herunterladen"
        >
          {{ link.label }}
          {% if link.is_download %}
            <i class="bi bi-download" aria-hidden="true"></i>
          {% endif %}
        </a>
      {% endfor %}
    </div>
  </div>
{%- endmacro -%}

{%- block page -%}
  {{ title_section(base, page.get_title_section()) }}

  <section class="container my-5">
    <h2 class="fs-3 border-bottom pb-3 mb-3">Leistungen</h2>
    {{ _subsection('CSV', kataloge.leistungen_csv) }}
    {{ _subsection('XZuFi', kataloge.leistungen_xzufi) }}

    <h2 class="fs-3 border-bottom pb-3 mb-3">Datenfelder</h2>
    {{ _katalog_entries(kataloge.datenfelder) }}

    <h2 class="fs-3 border-bottom pb-3 mb-3">Prozesse</h2>
    {{ _katalog_entries(kataloge.prozesse) }}
  </section>
{%- endblock -%}
